/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
****************************************************/
#ifndef __LCD_1IN69_H
#define __LCD_1IN69_H	
	
#include "DEV_Config.h"
#include <stdint.h>

#include <stdlib.h>		//itoa()
#include <stdio.h>


#define LCD_HEIGHT 280
#define LCD_WIDTH 240

#define LCD_WIDTH_Byte 240

#define HORIZONTAL 0



typedef struct{
	UWORD WIDTH;
	UWORD HEIGHT;
	UBYTE SCAN_DIR;
}LCD_ATTRIBUTES;
extern LCD_ATTRIBUTES LCD;

/********************************************************************************
function:	
			Macro definition variable name
********************************************************************************/
void LCD_1in69_Init();
void LCD_1in69_Clear(UWORD Color);
void LCD_1in69_Display(UWORD *Image);
void LCD_1in69_DisplayWindows(UWORD Xstart, UWORD Ystart, UWORD Xend, UWORD Yend, UWORD *Image);
void LCD_1in69_DisplayPoint(UWORD X, UWORD Y, UWORD Color);
void Handler_1in69_LCD(int signo);
#endif
